Skip to main content
PUT
Create a new EvoAI bot instance

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

evoaiId
string
required

Id bot EvoAI

Body

application/json

Configuration for the EvoAI bot instance

enabled
boolean
required
agentUrl
string
required
apiKey
string
triggerType
enum<string>
Available options:
all,
keyword
triggerOperator
enum<string>
Available options:
contains,
equals,
startsWith,
endsWith,
regex,
none
triggerValue
string
expire
integer
keywordFinish
string
delayMessage
integer
unknownMessage
string
listeningFromMe
boolean
stopBotFromMe
boolean
keepOpen
boolean
debounceTime
integer
ignoreJids
string[]

Response

200 - application/json

EvoAI bot instance created successfully

message
string
Example:

"EvoAI bot instance created successfully"